Subject: bug#22655: grep -Pz '^' now fails!

From: Stephane Chazelas <[email-masked]>
Date: Sun, 20 Nov 2016 07:14:28 +0000

2016-11-19 15:12:41 -0800, Paul Eggert:
> Aaron Crane wrote:
> >I'm not sure it's ideal to use the Perl documentation as
> >a comprehensive guide to PCRE:
> 
> Unfortunately libpcre does not document the regular expression
> syntax it supports. Neither does the grep manual, for 'grep -P'. And
> as you've mentioned, the Perl manual isn't a reliable source for
> libpcre either. So users of 'grep -P' cannot rely on any
> documentation for behavior; it's an unwritten tradition instead.
[...]

You've missed "man pcrepattern". See also "man pcresyntax" for
the cheat sheet and "man pcre" for the index of all the PCRE man
pages.

If that's a consolation, I also had been using PCRE years before
I discovered that man page (which I find of very high quality
btw) few years ago.

-- 
Stephane